import { defu } from "defu";
import { VueQueryPlugin } from "@tanstack/vue-query";
import { JsonApiPiniaPlugin } from "./pinia-plugin.mjs";
import { setApiConf } from "./requests.mjs";
import { setStoreInitMap } from "./vue-query-plugin.mjs";
export default {
  install: (app, options) => {
    setStoreInitMap(options.storeInitMap || {});
    const pinia = options.pinia;
    pinia.use(JsonApiPiniaPlugin);
    const defaultApiConf = { baseUrl: "http://localhost" };
    const apiConf = defu(options.apiConf, defaultApiConf);
    setApiConf(apiConf);
    app.use(VueQueryPlugin);
    app.use(pinia);
  }
};
export { storeVueQuery } from "./vue-query-plugin.mjs";
