import type { UseQueryOptions, UseMutationOptions } from '@tanstack/vue-query';
import type { ResourceObject, NewResourceObject } from './types';
interface QueriesOptions {
    index?: Omit<UseQueryOptions<any, unknown, unknown, any>, 'queryKey' | 'queryFn'> & {
        merge?: boolean;
    };
    get?: Omit<UseQueryOptions<any, unknown, unknown, any>, 'queryKey' | 'queryFn'> & {
        merge?: boolean;
    };
    create?: Omit<UseMutationOptions<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown>, 'mutationFn'>;
    update?: Omit<UseMutationOptions<any, unknown, {
        id: string;
        body: ResourceObject;
        headers: Headers;
    }, unknown>, 'mutationFn'>;
    delete?: Omit<UseMutationOptions<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown>, 'mutationFn'>;
}
export declare const setStoreInitMap: (initMap: any) => void;
export declare const storeVueQuery: (store: any, apiResourceType?: string, queryOptions?: QueriesOptions) => {
    index: (queryParams?: {
        [key: string]: any;
    }) => Promise<void>;
    indexQuery: import("@tanstack/vue-query").UseQueryReturnType<unknown, unknown>;
    get: (id: string, queryParams?: {
        [key: string]: any;
    }) => Promise<void>;
    getQuery: import("@tanstack/vue-query").UseQueryReturnType<unknown, unknown>;
    create: (body: NewResourceObject, headers?: Headers) => void;
    createQuery: import("@tanstack/vue-query").UseMutationReturnType<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown, Omit<import("@tanstack/vue-query").MutationObserverIdleResult<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverLoadingResult<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverErrorResult<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverSuccessResult<any, unknown, {
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset">>;
    update: (id: string, body: ResourceObject, headers?: Headers) => void;
    updateQuery: import("@tanstack/vue-query").UseMutationReturnType<any, unknown, {
        id: string;
        body: any;
        headers: Headers;
    }, unknown, Omit<import("@tanstack/vue-query").MutationObserverIdleResult<any, unknown, {
        id: string;
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverLoadingResult<any, unknown, {
        id: string;
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverErrorResult<any, unknown, {
        id: string;
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverSuccessResult<any, unknown, {
        id: string;
        body: any;
        headers: Headers;
    }, unknown>, "mutate" | "reset">>;
    delete: (id: string, headers?: Headers) => Promise<void>;
    deleteQuery: import("@tanstack/vue-query").UseMutationReturnType<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown, Omit<import("@tanstack/vue-query").MutationObserverIdleResult<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverLoadingResult<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverErrorResult<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown>, "mutate" | "reset"> | Omit<import("@tanstack/vue-query").MutationObserverSuccessResult<any, unknown, {
        id: string;
        headers: Headers;
    }, unknown>, "mutate" | "reset">>;
};
export {};
